View Issue Details

IDProjectCategoryView StatusLast Update
0009093mantisbtemailpublic2016-06-12 00:42
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.0a1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0009093: Add a configuration option to enforce email uniqueness
Description

Add a configuration option that is enabled by default to enforce email uniqueness whenever a user signups, gets created by managed, gets updated by manager, and update by the user.

TagsNo tags attached.

Relationships

related to 0004114 closedrombert Same email allowed for multipe users 
related to 0008685 acknowledged New users aren't warned that another user account has identical e-mail address. 
has duplicate 0010343 closedatrol avoid accounts with identical email addresses 
related to 0020647 assignedvboctor Not able to update existing user accounts if $g_email_ensure_unique == ON 

Activities

Related Changesets

MantisBT: issue20543_login_by_email 4ed8acf7

2016-01-29 03:26:06

vboctor

Details Diff
Support ensuring email is unique

Fixes 0009093
mod - account_update.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/constant_inc.php Diff File
mod - core/user_api.php Diff File
mod - docbook/Admin_Guide/en-US/config/email.xml Diff File
mod - lang/strings_english.txt Diff File
mod - manage_user_update.php Diff File
mod - signup.php Diff File

Issue History

Date Modified Username Field Change
2008-04-20 19:23 vboctor New Issue
2008-05-21 17:38 giallu Relationship added related to 0004114
2008-07-13 16:43 vboctor Status new => acknowledged
2013-01-02 13:13 atrol Relationship added has duplicate 0010343
2016-01-29 03:08 vboctor Assigned To => vboctor
2016-01-29 03:08 vboctor Status acknowledged => assigned
2016-01-29 03:41 vboctor Severity minor => feature
2016-01-29 03:41 vboctor Description Updated View Revisions
2016-01-29 03:41 vboctor Note Added: 0052428
2016-02-04 11:35 vboctor Changeset attached => MantisBT issue20543_login_by_email 4ed8acf7
2016-02-04 11:35 vboctor Status assigned => resolved
2016-02-04 11:35 vboctor Resolution open => fixed
2016-02-04 12:27 vboctor Target Version => 1.3.0-rc.2
2016-02-29 16:44 atrol Relationship added related to 0020647
2016-04-04 11:08 atrol Fixed in Version => 1.3.0-rc.2
2016-04-17 08:10 cproensa Relationship added related to 0008685
2016-06-12 00:42 vboctor Status resolved => closed